Package org.codehaus.commons.compiler.java9.java.lang.module

# Class ModuleReference

java.lang.Object
org.codehaus.commons.compiler.java9.java.lang.module.ModuleReference

public class ModuleReference extends Object
Pre-Java-9-compatible facade for Java 9's `java.lang.module.ModuleReference` interface.

## Constructor Summary

Constructors
Constructor
Description
`ModuleReference(Object delegate)`

## Method Summary

Modifier and Type
Method
Description
`Optional<URI>`
`location()`
`ModuleReader`
`open()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModuleReference

public ModuleReference(Object delegate)

## Method Details

### location

public Optional<URI> location()

### open

public ModuleReader open() throws IOException

Throws:
  `IOException`